Package weka.gui.beans

# Class CrossValidationFoldMakerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo
weka.gui.beans.CrossValidationFoldMakerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class CrossValidationFoldMakerBeanInfo extends AbstractTrainAndTestSetProducerBeanInfo
BeanInfo class for the cross validation fold maker bean

Version:
  $Revision: 8034 $
Author:
  Mark Hall

- ## Field Summary

  ### Fields inherited from interface java.beans.BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CrossValidationFoldMakerBeanInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanDescriptor`
  `getBeanDescriptor()`
  Return the bean descriptor for this bean
  `PropertyDescriptor[]`
  `getPropertyDescriptors()`
  Return the property descriptors for this bean

  ### Methods inherited from class weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo

  `getEventSetDescriptors`

  ### Methods inherited from class java.beans.SimpleBeanInfo

  `getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, loadImage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CrossValidationFoldMakerBeanInfo

    public CrossValidationFoldMakerBeanInfo()

- ## Method Details

  - ### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()
    Return the property descriptors for this bean
    Specified by:
      `getPropertyDescriptors` in interface `BeanInfo`
    Overrides:
      `getPropertyDescriptors` in class `SimpleBeanInfo`
    Returns:
      a `PropertyDescriptor[]` value

  - ### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()
    Return the bean descriptor for this bean
    Specified by:
      `getBeanDescriptor` in interface `BeanInfo`
    Overrides:
      `getBeanDescriptor` in class `SimpleBeanInfo`
    Returns:
      a `BeanDescriptor` value